<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:23:27 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>AllocUtils (org.eclipse.papyrus.designer.deployment.tools 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AllocUtils (org.eclipse.papyrus.designer.deployment.tools 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AllocUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/Activator.html" title="class in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/ConfigUtils.html" title="class in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html" target="_top">Frames</a></li>
<li><a href="AllocUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.deployment.tools</div>
<h2 title="Class AllocUtils" class="title">Class AllocUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.deployment.tools.AllocUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">AllocUtils</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#startPortName">startPortName</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#startPortType">startPortType</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#AllocUtils--">AllocUtils</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#allocate-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">allocate</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
        org.eclipse.uml2.uml.InstanceSpecification&nbsp;node)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#getAllNodes-java.util.Collection-">getAllNodes</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;instances)</code>
<div class="block">Retrieve a list of nodes to which the set of passed instance is allocated to *or*
 to which one of the contained instances is allocated to (recursively)</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#getAllNodes-org.eclipse.uml2.uml.InstanceSpecification-">getAllNodes</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</code>
<div class="block">Retrieve a list of nodes to which the instance is allocated to *or*
 to which one of the contained instances is allocated to (recursively)</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#getAllNodesForPort-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Port-">getAllNodesForPort</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                  org.eclipse.uml2.uml.Port&nbsp;port)</code>
<div class="block">Retrieve a list of nodes to which the instance is allocated to *or*
 to which one of the contained instances is allocated to (recursively)</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#getAllNodesOrThreadsParent-org.eclipse.uml2.uml.InstanceSpecification-">getAllNodesOrThreadsParent</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</code>
<div class="block">Retrieve a list of nodes to which the instance is allocated to *or*
 to which one of the containing instances is explicitly allocated</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#getNode-org.eclipse.uml2.uml.InstanceSpecification-">getNode</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#getNodeOrThread-org.eclipse.uml2.uml.InstanceSpecification-">getNodeOrThread</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instanceOrThread)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#getNodes-org.eclipse.uml2.uml.InstanceSpecification-">getNodes</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instanceOrThread)</code>
<div class="block">This method returns a list of nodes to which the passed instance is allocated.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#getNodesOrThreads-org.eclipse.uml2.uml.InstanceSpecification-">getNodesOrThreads</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instanceOrThread)</code>
<div class="block">This method returns a list of nodes (or threads) to which the passed instance is allocated.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Port</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#getStartPort-org.eclipse.uml2.uml.Class-">getStartPort</a></span>(org.eclipse.uml2.uml.Class&nbsp;component)</code>
<div class="block">Return the start Port of a component, i.e.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#getThreadAlloc-org.eclipse.uml2.uml.Property-">getThreadAlloc</a></span>(org.eclipse.uml2.uml.Property&nbsp;instanceAttribute)</code>
<div class="block">Retrieve a list of nodes to which the instance is allocated to *or*
 to which one of the contained instances is allocated to (recursively)</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#propagateNodesViaPort-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Port-org.eclipse.emf.common.util.EList-">propagateNodesViaPort</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                     org.eclipse.uml2.uml.Port&nbsp;port,
                     org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;nodes)</code>
<div class="block">Assign node name to leafs</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Node&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#updateAllocation-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">updateAllocation</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                org.eclipse.uml2.uml.InstanceSpecification&nbsp;oldNode,
                org.eclipse.uml2.uml.InstanceSpecification&nbsp;newNode)</code>
<div class="block">This method updates (and optionally removes) the allocations of an instance</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="startPortName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startPortName</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> startPortName</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.designer.deployment.tools.AllocUtils.startPortName">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="startPortType">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>startPortType</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> startPortType</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.designer.deployment.tools.AllocUtils.startPortType">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AllocUtils--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AllocUtils</h4>
<pre>public&nbsp;AllocUtils()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAllNodes-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllNodes</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;getAllNodes(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</pre>
<div class="block">Retrieve a list of nodes to which the instance is allocated to *or*
 to which one of the contained instances is allocated to (recursively)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of nodes</dd>
</dl>
</li>
</ul>
<a name="getAllNodes-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllNodes</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;getAllNodes(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;instances)</pre>
<div class="block">Retrieve a list of nodes to which the set of passed instance is allocated to *or*
 to which one of the contained instances is allocated to (recursively)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instanceList</code> - a list of instances</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of nodes</dd>
</dl>
</li>
</ul>
<a name="getThreadAlloc-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getThreadAlloc</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Property&nbsp;getThreadAlloc(org.eclipse.uml2.uml.Property&nbsp;instanceAttribute)</pre>
<div class="block">Retrieve a list of nodes to which the instance is allocated to *or*
 to which one of the contained instances is allocated to (recursively)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instanceAttribute</code> - an attribute within a composite that represents a component instance
            or a set thereof, if the composite itself is instantiated multiple times)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of nodes</dd>
</dl>
</li>
</ul>
<a name="getAllNodesOrThreadsParent-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllNodesOrThreadsParent</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;getAllNodesOrThreadsParent(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</pre>
<div class="block">Retrieve a list of nodes to which the instance is allocated to *or*
 to which one of the containing instances is explicitly allocated</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of nodes</dd>
</dl>
</li>
</ul>
<a name="getNode-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNode</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.InstanceSpecification&nbsp;getNode(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</pre>
</li>
</ul>
<a name="getNodeOrThread-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNodeOrThread</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.InstanceSpecification&nbsp;getNodeOrThread(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instanceOrThread)</pre>
</li>
</ul>
<a name="getNodesOrThreads-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNodesOrThreads</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;getNodesOrThreads(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instanceOrThread)</pre>
<div class="block">This method returns a list of nodes (or threads) to which the passed instance is allocated.
 It is based on MARTE Allocation (a stereotyped abstraction) which is a generic
 mechanism to deploy UML elements to nodes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instanceOrThread</code> - The instance for which we like to know the allocation information</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getNodes-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNodes</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;getNodes(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instanceOrThread)</pre>
<div class="block">This method returns a list of nodes to which the passed instance is allocated. If
 the instance is allocated directly to a node, this node is returned. If the instance
 is allocated to a thread, the allocation of the thread to a node is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instanceOrThread</code> - The instance that should be deployed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="updateAllocation-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateAllocation</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Node&gt;&nbsp;updateAllocation(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                                                                            org.eclipse.uml2.uml.InstanceSpecification&nbsp;oldNode,
                                                                                            org.eclipse.uml2.uml.InstanceSpecification&nbsp;newNode)</pre>
<div class="block">This method updates (and optionally removes) the allocations of an instance</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - The instance that should be deployed</dd>
<dd><code>oldNode</code> - the old node allocation</dd>
<dd><code>newNode</code> - the new node allocation, may be null to indicate removal</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getAllNodesForPort-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Port-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllNodesForPort</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;getAllNodesForPort(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                                                                                               org.eclipse.uml2.uml.Port&nbsp;port)</pre>
<div class="block">Retrieve a list of nodes to which the instance is allocated to *or*
 to which one of the contained instances is allocated to (recursively)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - </dd>
<dd><code>A</code> - port of the composite. Contained instances are examined only if
            they have a connection with this port.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of nodes</dd>
</dl>
</li>
</ul>
<a name="allocate-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allocate</h4>
<pre>public static&nbsp;boolean&nbsp;allocate(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                               org.eclipse.uml2.uml.InstanceSpecification&nbsp;node)</pre>
</li>
</ul>
<a name="propagateNodesViaPort-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Port-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>propagateNodesViaPort</h4>
<pre>public static&nbsp;void&nbsp;propagateNodesViaPort(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                         org.eclipse.uml2.uml.Port&nbsp;port,
                                         org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;nodes)</pre>
<div class="block">Assign node name to leafs</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - </dd>
<dd><code>A</code> - port of the composite. Contained instances are examined only if the
            have a connection with this port. If null, no sub-instances are examined</dd>
<dd><code>nodes</code> - A list of nodes to which leafs are allocated</dd>
</dl>
</li>
</ul>
<a name="getStartPort-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getStartPort</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Port&nbsp;getStartPort(org.eclipse.uml2.uml.Class&nbsp;component)</pre>
<div class="block">Return the start Port of a component, i.e. a port that corresponds to the "magic" port name
 start and is typed with the interface IStart</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>component</code> - a component implementation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The start port or null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AllocUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/Activator.html" title="class in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/ConfigUtils.html" title="class in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html" target="_top">Frames</a></li>
<li><a href="AllocUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
